# Uses of Class
org.eclipse.jface.viewers.StyledString.Styler

Packages that use StyledString.Styler
Package
Description
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.

## Uses of StyledString.Styler in org.eclipse.jface.text.contentassist

Methods in org.eclipse.jface.text.contentassist that return StyledString.Styler
Modifier and Type
Method
Description
`StyledString.Styler`
BoldStylerProvider.`getBoldStyler()`
Returns a `StyledString.Styler` that applies bold style to the given `TextStyle`'s font.

## Uses of StyledString.Styler in org.eclipse.jface.viewers

Fields in org.eclipse.jface.viewers declared as StyledString.Styler
Modifier and Type
Field
Description
`static final StyledString.Styler`
StyledString.`COUNTER_STYLER`
A built-in styler using the `JFacePreferences.COUNTER_COLOR` managed in the JFace color registry (See `JFaceResources.getColorRegistry()`).
`static final StyledString.Styler`
StyledString.`DECORATIONS_STYLER`
A built-in styler using the `JFacePreferences.DECORATIONS_COLOR` managed in the JFace color registry (See `JFaceResources.getColorRegistry()`).
`static final StyledString.Styler`
StyledString.`QUALIFIER_STYLER`
A built-in styler using the `JFacePreferences.QUALIFIER_COLOR` managed in the JFace color registry (See `JFaceResources.getColorRegistry()`).
Methods in org.eclipse.jface.viewers that return StyledString.Styler
Modifier and Type
Method
Description
`static StyledString.Styler`
StyledString.`createColorRegistryStyler(String foregroundColorName, String backgroundColorName)`
Creates a styler that takes the given foreground and background colors from the JFace color registry.
`StyledString.Styler`
BoldStylerProvider.`getBoldStyler()`
Returns a `StyledString.Styler` that applies bold style to the given `TextStyle`'s font.
`protected StyledString.Styler`
DecoratingStyledCellLabelProvider.`getDecorationStyle(Object element)`
Sets the `StyledString.Styler` to be used for string decorations.
Methods in org.eclipse.jface.viewers with parameters of type StyledString.Styler
Modifier and Type
Method
Description
`StyledString`
StyledString.`append(char[] chars, StyledString.Styler styler)`
Appends the string representation of the given character array with a style to the `StyledString`.
`StyledString`
StyledString.`append(char ch, StyledString.Styler styler)`
Appends the string representation of the given character with a style to the `StyledString`.
`StyledString`
StyledString.`append(String string, StyledString.Styler styler)`
Appends a string with a style to the `StyledString`.
`void`
StyledString.`setStyle(int offset, int length, StyledString.Styler styler)`
Sets a styler to use for the given source range.
`static StyledString`
StyledCellLabelProvider.`styleDecoratedString(String decoratedString, StyledString.Styler decorationStyler, StyledString styledString)`
Applies decoration styles to the decorated string and adds the styles of the previously undecorated string.
Constructors in org.eclipse.jface.viewers with parameters of type StyledString.Styler
Modifier
Constructor
Description
``
`StyledString(String string, StyledString.Styler styler)`
Creates an `StyledString` initialized with a string and a style.

## Uses of StyledString.Styler in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs with parameters of type StyledString.Styler
Modifier and Type
Method
Description
`StyledString`
IStyledStringHighlighter.`highlight(String text, String pattern, StyledString.Styler styler)`
Used to highlight matches
`StyledString`
StyledStringHighlighter.`highlight(String text, String pattern, StyledString.Styler styler)`

## Uses of StyledString.Styler in org.eclipse.ui.model

Methods in org.eclipse.ui.model that return StyledString.Styler
Modifier and Type
Method
Description
`protected StyledString.Styler`
WorkbenchLabelProvider.`getDecorationStyle(Object element)`
Sets the `StyledString.Styler` to be used for string decorations.